exec.cpp File Reference
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Test::Int::Exec::IntWait
| Simple test for wait (integer variables). More...
class | Test::Int::Exec::BoolWait
| Simple test for wait (Boolean variables). More...
class | Test::Int::Exec::When
| Simple test for when. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::Exec
| Tests for synchronized execution

## Variables

IntWait | Test::Int::Exec::iw1t (1, true)
IntWait | Test::Int::Exec::iw2t (2, true)
IntWait | Test::Int::Exec::iw3t (3, true)
IntWait | Test::Int::Exec::iw4t (4, true)
IntWait | Test::Int::Exec::iw1f (1, false)
IntWait | Test::Int::Exec::iw2f (2, false)
IntWait | Test::Int::Exec::iw3f (3, false)
IntWait | Test::Int::Exec::iw4f (4, false)
BoolWait | Test::Int::Exec::bw1t (1, true)
BoolWait | Test::Int::Exec::bw2t (2, true)
BoolWait | Test::Int::Exec::bw3t (3, true)
BoolWait | Test::Int::Exec::bw4t (4, true)
BoolWait | Test::Int::Exec::bw1f (1, false)
BoolWait | Test::Int::Exec::bw2f (2, false)
BoolWait | Test::Int::Exec::bw3f (3, false)
BoolWait | Test::Int::Exec::bw4f (4, false)
When | Test::Int::Exec::whent (true)
When | Test::Int::Exec::whenf (false)